Bug 1264891 - Crash and kernel error - kernel BUG at mm/highmem.c:353! [NEEDINFO]
Crash and kernel error - kernel BUG at mm/highmem.c:353!
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
armv7hl Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-21 08:22 EDT by Lukas Koranda
Modified: 2015-11-23 12:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 12:22:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
Full stack trace after btrfs scrub (914.28 KB, text/plain)
2015-09-21 08:42 EDT, Lukas Koranda
no flags Details

  None (edit)
Description Lukas Koranda 2015-09-21 08:22:12 EDT
Description of problem:
Crash/stack trace after running btrfs scrub

Version-Release number of selected component (if applicable):
Fedora 22/ARM
Kernel 4.1.7

How reproducible:
Install Fedora 22 on ARM (e.g. Cubieboard)
Update on latest kernel (4.1.6 and 4.1.7 has been tested so far)
Create btrfs raid6
Run BTRFS scrub (btrfs-progs v4.2)

Steps to Reproduce:
1.mkfs.btrfs -m raid6 -d raid6 /dev/sda /dev/sdb /dev/sdc /dev/sdd /dev/sde -L NAS
2.btrfs scrub {mount-point}
3. System hangs instantly with many stacktraces

Actual results:
System hang/crash

[  175.565999] ------------[ cut here ]------------
[  175.570632] kernel BUG at mm/highmem.c:353!
[  175.574811] Internal error: Oops - BUG: 0 [#1] SMP ARM
[  175.579943] Modules linked in: ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw btrfs xor xor_neon raid6_pq sun4i_ts sunxi_sid sunxi_wdt sun4i_emac mdio_sun4i spi_sun4i phy_sun4i_usb leds_gpio mmc_block i2c_mv64xxx ahci_sunxi libahci_platform rtc_sunxi sunxi_mmc ohci_platform ehci_platform mmc_core
[  175.635047] CPU: 0 PID: 143 Comm: kworker/u2:3 Not tainted 4.1.7-200.fc22.armv7hl #1
[  175.642778] Hardware name: Allwinner A1X (Device Tree)
[  175.648446] Workqueue: btrfs-endio-raid56 btrfs_endio_raid56_helper [btrfs]
[  175.655415] task: ee6a0000 ti: ee680000 task.ti: ee680000
[  175.660815] PC is at kunmap_high+0x74/0xc4
[  175.664909] LR is at page_address+0xa8/0xf4
[  175.669088] pc : [<c034dc3c>]    lr : [<c034db7c>]    psr: 600f0013
[  175.669088] sp : ee681e50  ip : 00000000  fp : ee681ecc
[  175.680547] r10: 00000004  r9 : ef7aa9c4  r8 : 00000003
[  175.685765] r7 : ee681e68  r6 : ef7aa9e8  r5 : 00000000  r4 : ef7aa58c
[  175.692283] r3 : 00000000  r2 : ef7aa58c  r1 : 600f0013  r0 : c0ed1988
[  175.698802] Flags: nZCv  IRQs on  FIQs on  Mode SVC_32  ISA ARM  Segment kernel
[  175.706101] Control: 10c5387d  Table: 6b468019  DAC: 00000015
[  175.711839] Process kworker/u2:3 (pid: 143, stack limit = 0xee680220)
[  175.718271] Stack: (0xee681e50 to 0xee682000)
[  175.722624] 1e40:                                     eb588800 bf16cbf0 8010000a eeeede84
[  175.730793] 1e60: 00000000 eeeedf08 bfeff000 bff00000 bff01000 bff02000 bff03000 bf16db64
[  175.738961] 1e80: bff04000 ef7aa58c ee681e78 ee681e74 ee681e60 eb49e100 00000000 00000004
[  175.747129] 1ea0: 00000000 00000000 edf621b0 eb777c60 00000000 c04e08b4 edf621b0 00000000
[  175.755298] 1ec0: edf621c0 00000000 00000088 c04e0878 ee6f5b80 ee0ba800 edf621bc edf621b0
[  175.763466] 1ee0: 00000000 bf12ca44 bf12cc24 ee6c1b80 ee0ba800 edf621bc 00000000 ee63dd00
[  175.771634] 1f00: edf621c0 00000000 00000088 c0262758 ee6c1b80 edf621bc 00000080 ee6c1b80
[  175.779802] 1f20: ee0ba800 ee0ba800 c0d21100 ee6c1b98 ee0ba814 00000000 00000088 c0263444
[  175.787970] 1f40: ee6a0000 ee62cf00 00000000 ee6c1b80 c0263168 00000000 00000000 00000000
[  175.796138] 1f60: 00000000 c026799c 00000000 00000000 ee671330 ee6c1b80 00000000 00000000
[  175.804306] 1f80: ee681f80 ee681f80 00000000 00000000 ee681f90 ee681f90 ee681fac ee62cf00
[  175.812475] 1fa0: c02678bc 00000000 00000000 c020f9c8 00000000 00000000 00000000 00000000
[  175.820642] 1fc0: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[  175.828809] 1fe0: 00000000 00000000 00000000 00000000 00000013 00000000 00000000 00000000
[  175.837383] [<c034dc3c>] (kunmap_high) from [<bf16cbf0>] (finish_parity_scrub+0x2c4/0x488 [btrfs])
[  175.846694] [<bf16cbf0>] (finish_parity_scrub [btrfs]) from [<c04e0878>] (bio_endio+0xb4/0xc0)
[  175.855562] [<c04e0878>] (bio_endio) from [<bf12ca44>] (btrfs_scrubnc_helper+0x12c/0x294 [btrfs])
[  175.864686] [<bf12ca44>] (btrfs_scrubnc_helper [btrfs]) from [<c0262758>] (process_one_work+0x210/0x384)
[  175.874160] [<c0262758>] (process_one_work) from [<c0263444>] (worker_thread+0x2dc/0x42c)
[  175.882333] [<c0263444>] (worker_thread) from [<c026799c>] (kthread+0xe0/0xf4)
[  175.889555] [<c026799c>] (kthread) from [<c020f9c8>] (ret_from_fork+0x14/0x2c)
[  175.896772] Code: e5923004 e0533001 13a03001 ea000001 (e7f001f2)
[  175.902862] ---[ end trace 7068f60cdb4143f9 ]---


Expected results:
System should continue to work as usual.


Additional info:
btrfs rebalance worked fine.
Comment 1 Lukas Koranda 2015-09-21 08:42 EDT
Created attachment 1075514 [details]
Full stack trace after btrfs scrub
Comment 2 Lukas Koranda 2015-09-21 13:21:30 EDT
kernel 4.2

[  383.712550] ------------[ cut here ]------------
[  383.717188] kernel BUG at mm/highmem.c:343!
[  383.721366] Internal error: Oops - BUG: 0 [#1] SMP ARM
[  383.726499] Modules linked in: ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw sun4i_ts sunxi_sid sunxi_wdt btrfs xor xor_neon raid6_pq phy_sun4i_usb sun4i_emac mdio_sun4i spi_sun4i leds_gpio cpufreq_dt mmc_block i2c_mv64xxx rtc_sunxi sunxi_mmc ahci_sunxi libahci_platform ohci_platform ehci_platform mmc_core
[  383.782562] CPU: 0 PID: 928 Comm: kworker/u2:1 Not tainted 4.2.0-1.fc23.armv7hl #1
[  383.790119] Hardware name: Allwinner A1X (Device Tree)
[  383.795742] Workqueue: btrfs-endio-raid56 btrfs_endio_raid56_helper [btrfs]
[  383.802712] task: eb144780 ti: eb4b4000 task.ti: eb4b4000
[  383.808113] PC is at kunmap_high+0x28/0xc4
[  383.812206] LR is at page_address+0xa8/0xf4
[  383.816387] pc : [<c035287c>]    lr : [<c0352808>]    psr: 60070013
[  383.816387] sp : eb4b5e50  ip : 00000000  fp : eb4b5ecc
[  383.827846] r10: 00000005  r9 : ef45fda8  r8 : 00000003
[  383.833065] r7 : eb4b5e68  r6 : ef45fdcc  r5 : 00000008  r4 : ef7b9f28
[  383.839582] r3 : 00000024  r2 : 00000023  r1 : 60070013  r0 : 00000000
[  383.846102] Flags: nZCv  IRQs on  FIQs on  Mode SVC_32  ISA ARM  Segment kernel
[  383.853400] Control: 10c5387d  Table: 6b0a8019  DAC: 00000015
[  383.859139] Process kworker/u2:1 (pid: 928, stack limit = 0xeb4b4220)
[  383.865571] Stack: (0xeb4b5e50 to 0xeb4b6000)
[  383.869925] 5e40:                                     eb3b1800 bf18c978 8010000f eeeec608
[  383.878093] 5e60: 0000b4a8 00015e42 e68e6000 e68e1000 e68dc000 e5e9a000 e5e9b000 bf18d8ec
[  383.886261] 5e80: e68d7000 ef476e3c eb4b5e78 eb4b5e74 eb4b5e60 e6cca700 00000000 00000004
[  383.894429] 5ea0: 00000000 00000000 edf943e0 eb7c0f60 00000000 c04f108c edf943e0 00000000
[  383.902597] 5ec0: edf943f0 00000000 00000088 c04f1084 ecdd6800 ee0bac00 edf943ec edf943e0
[  383.910765] 5ee0: 00000000 bf14c1ac bf14c398 eb087700 ee0bac00 edf943ec 00000000 ee4d1200
[  383.918933] 5f00: edf943f0 00000000 00000088 c0261270 eb087700 edf943ec 00000080 eb087700
[  383.927101] 5f20: ee0bac00 ee0bac00 c0d53100 eb087718 ee0bac14 00000000 00000088 c0261ff4
[  383.935269] 5f40: eb144780 eb08c700 00000000 eb087700 c0261d18 00000000 00000000 00000000
[  383.943437] 5f60: 00000000 c0266988 743eef4b 00000000 a0cb8268 eb087700 00000000 00000000
[  383.951605] 5f80: eb4b5f80 eb4b5f80 00000000 00000000 eb4b5f90 eb4b5f90 eb4b5fac eb08c700
[  383.959772] 5fa0: c02668a8 00000000 00000000 c020fa08 00000000 00000000 00000000 00000000
[  383.967939] 5fc0: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[  383.976106] 5fe0: 00000000 00000000 00000000 00000000 00000013 00000000 9e01ee42 2abb5110
[  383.984680] [<c035287c>] (kunmap_high) from [<bf18c978>] (finish_parity_scrub+0x2c4/0x488 [btrfs])
[  383.993981] [<bf18c978>] (finish_parity_scrub [btrfs]) from [<c04f1084>] (bio_endio+0xd4/0xdc)
[  384.002847] [<c04f1084>] (bio_endio) from [<bf14c1ac>] (btrfs_scrubparity_helper+0x12c/0x294 [btrfs])
[  384.012312] [<bf14c1ac>] (btrfs_scrubparity_helper [btrfs]) from [<c0261270>] (process_one_work+0x210/0x3a4)
[  384.022132] [<c0261270>] (process_one_work) from [<c0261ff4>] (worker_thread+0x2dc/0x42c)
[  384.030305] [<c0261ff4>] (worker_thread) from [<c0266988>] (kthread+0xe0/0xf4)
[  384.037518] [<c0266988>] (kthread) from [<c020fa08>] (ret_from_fork+0x14/0x2c)
[  384.044735] Code: e1a00004 ebffffba e3500000 1a000000 (e7f001f2) 
[  384.050826] ---[ end trace d615658e2b4bb5e9 ]---
[  384.067264] Unable to handle kernel paging request at virtual address ffffffec
[  384.074492] pgd = c0204000
[  384.077196] [ffffffec] *pgd=6f7fd821, *pte=00000000, *ppte=00000000
[  384.083499] Internal error: Oops: 17 [#2] SMP ARM
[  384.088198] Modules linked in: ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw sun4i_ts sunxi_sid sunxi_wdt btrfs xor xor_neon raid6_pq phy_sun4i_usb sun4i_emac mdio_sun4i spi_sun4i leds_gpio cpufreq_dt mmc_block i2c_mv64xxx rtc_sunxi sunxi_mmc ahci_sunxi libahci_platform ohci_platform ehci_platform mmc_core
[  384.144252] CPU: 0 PID: 928 Comm: kworker/u2:1 Tainted: G      D         4.2.0-1.fc23.armv7hl #1
[  384.153023] Hardware name: Allwinner A1X (Device Tree)
[  384.158163] task: eb144780 ti: eb4b4000 task.ti: eb4b4000
[  384.163562] PC is at kthread_data+0xc/0x14
[  384.167652] LR is at wq_worker_sleeping+0x14/0xd4
[  384.172353] pc : [<c0266e4c>]    lr : [<c0262390>]    psr: 00010093
[  384.172353] sp : eb4b5c20  ip : 00000000  fp : eb4b5c74
[  384.183812] r10: 00000000  r9 : eb144b5c  r8 : eeeec140
[  384.189030] r7 : c0d4e140  r6 : c0d4e140  r5 : eeeec140  r4 : 00000000
[  384.195548] r3 : 00000000  r2 : 00000000  r1 : 00000000  r0 : eb144780
[  384.202067] Flags: nzcv  IRQs off  FIQs on  Mode SVC_32  ISA ARM  Segment user
[  384.209280] Control: 10c5387d  Table: 6e66c019  DAC: 00000015
[  384.215017] Process kworker/u2:1 (pid: 928, stack limit = 0xeb4b4220)
[  384.221449] Stack: (0xeb4b5c20 to 0xeb4b6000)
[  384.225805] 5c20: eb144780 eeeec140 c0d4e140 c08d81bc 00000008 ee021a00 eb08c8b0 a0010093
[  384.233973] 5c40: 00000008 c0d548a0 c08d8774 2e19e000 00000000 eb4b4000 eb4b5924 eb4b5924
[  384.242141] 5c60: eb4b5c98 eb4b5c98 eb144ad8 00000000 eb4b5c84 c08d8774 eb144780 eb4b5924
[  384.250309] 5c80: c035287c c024f16c 0000000b 00000007 00000000 00000000 eb4b5c98 eb4b5c98
[  384.258476] 5ca0: 0000000b 00000000 c035287c c0213884 eb4b4220 0000000b 00000000 00000008
[  384.266644] 5cc0: 60070093 00000000 65000000 30306131 20343030 66666265 61626666 35336520
[  384.274812] 5ce0: 30303030 61312030 30303030 28203030 30663765 32663130 00002029 eb53da00
[  384.282980] 5d00: e620be10 e7f001f2 eb4b5dc8 c035287c 00000000 e7100000 c08dc20c eb4b4000
[  384.291148] 5d20: eb4b5ecc c0209098 00000006 00000000 00000004 00000000 00030001 c035287c
[  384.299316] 5d40: eb53da00 00000005 00001770 c0f1f954 c0e5ed40 00000100 0000000a e620be58
[  384.307484] 5d60: eb4b5d80 e620be10 00000010 c0e5ed40 00000100 0000000a eb4b5d98 c04fd0f8
[  384.315652] 5d80: eb4b5d80 c024ff2c eb4b4000 c0d53094 00000004 c024ff2c ee0a9cc0 ee0a9cc0
[  384.323820] 5da0: ee0a9d24 04208060 00004165 00000000 c0d53100 c0352880 00000000 c08dc598
[  384.331988] 5dc0: 00000000 c08dc20c 00000000 60070013 00000023 00000024 ef7b9f28 00000008
[  384.340155] 5de0: ef45fdcc eb4b5e68 00000003 ef45fda8 00000005 eb4b5ecc 00000000 eb4b5e50
[  384.348323] 5e00: c0352808 c035287c 60070013 ffffffff 00000000 e5e9a769 e5e9b000 00000000
[  384.356491] 5e20: eb3b1800 00000008 ef45fdcc eb4b5e68 00000003 c0352808 ef7b9f28 00000008
[  384.364659] 5e40: ef45fdcc eb4b5e68 00000003 c0352874 eb3b1800 bf18c978 8010000f eeeec608
[  384.372827] 5e60: 0000b4a8 00015e42 e68e6000 e68e1000 e68dc000 e5e9a000 e5e9b000 bf18d8ec
[  384.380995] 5e80: e68d7000 ef476e3c eb4b5e78 eb4b5e74 eb4b5e60 e6cca700 00000000 00000004
[  384.389163] 5ea0: 00000000 00000000 edf943e0 eb7c0f60 00000000 c04f108c edf943e0 00000000
[  384.397331] 5ec0: edf943f0 00000000 00000088 c04f1084 ecdd6800 ee0bac00 edf943ec edf943e0
[  384.405498] 5ee0: 00000000 bf14c1ac bf14c398 eb087700 ee0bac00 edf943ec 00000000 ee4d1200
[  384.413666] 5f00: edf943f0 00000000 00000088 c0261270 eb087700 edf943ec 00000080 eb087700
[  384.421834] 5f20: ee0bac00 ee0bac00 c0d53100 eb087718 ee0bac14 00000000 00000088 c0261ff4
[  384.430002] 5f40: eb144780 eb08c700 00000000 eb087700 c0261d18 00000000 00000000 00000000
[  384.438170] 5f60: 00000000 c0266988 743eef4b 00000000 a0cb8268 eb087700 00000000 00000000
[  384.446338] 5f80: eb4b5f80 eb4b5f80 00000001 00010001 eb4b5f90 eb4b5f90 eb4b5fac eb08c700
[  384.454505] 5fa0: c02668a8 00000000 00000000 c020fa08 00000000 00000000 00000000 00000000
[  384.462673] 5fc0: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[  384.470840] 5fe0: 00000000 00000000 00000000 00000000 00000013 00000000 9e01ee42 2abb5110
[  384.479020] [<c0266e4c>] (kthread_data) from [<c0262390>] (wq_worker_sleeping+0x14/0xd4)
[  384.487112] [<c0262390>] (wq_worker_sleeping) from [<c08d81bc>] (__schedule+0x178/0x688)
[  384.495196] [<c08d81bc>] (__schedule) from [<c08d8774>] (schedule+0xa8/0xb8)
[  384.502246] [<c08d8774>] (schedule) from [<c024f16c>] (do_exit+0x8f8/0x944)
[  384.509205] [<c024f16c>] (do_exit) from [<c0213884>] (die+0x2fc/0x3f8)
[  384.515730] [<c0213884>] (die) from [<c0209098>] (do_undefinstr+0x8c/0x16c)
[  384.522688] [<c0209098>] (do_undefinstr) from [<c08dc20c>] (__und_svc_finish+0x0/0x34)
[  384.530593] Exception stack(0xeb4b5dc8 to 0xeb4b5e10)
[  384.535640] 5dc0:                   00000000 60070013 00000023 00000024 ef7b9f28 00000008
[  384.543808] 5de0: ef45fdcc eb4b5e68 00000003 ef45fda8 00000005 eb4b5ecc 00000000 eb4b5e50
[  384.551973] 5e00: c0352808 c035287c 60070013 ffffffff
[  384.557028] [<c08dc20c>] (__und_svc_finish) from [<c035287c>] (kunmap_high+0x28/0xc4)
[  384.565410] [<c035287c>] (kunmap_high) from [<bf18c978>] (finish_parity_scrub+0x2c4/0x488 [btrfs])
[  384.574742] [<bf18c978>] (finish_parity_scrub [btrfs]) from [<c04f1084>] (bio_endio+0xd4/0xdc)
[  384.583614] [<c04f1084>] (bio_endio) from [<bf14c1ac>] (btrfs_scrubparity_helper+0x12c/0x294 [btrfs])
[  384.593081] [<bf14c1ac>] (btrfs_scrubparity_helper [btrfs]) from [<c0261270>] (process_one_work+0x210/0x3a4)
[  384.602902] [<c0261270>] (process_one_work) from [<c0261ff4>] (worker_thread+0x2dc/0x42c)
[  384.611074] [<c0261ff4>] (worker_thread) from [<c0266988>] (kthread+0xe0/0xf4)
[  384.618296] [<c0266988>] (kthread) from [<c020fa08>] (ret_from_fork+0x14/0x2c)
[  384.625515] Code: e8bd8070 e52de004 e8bd4000 e59033b0 (e5130014) 
[  384.631606] ---[ end trace d615658e2b4bb5ea ]---
[  384.636218] Fixing recursive fault but reboot is needed!
Comment 3 Lukas Koranda 2015-09-21 13:22:46 EDT
kernel 4.3.0rc1

[  225.175552] INFO: trying to register non-static key.
[  225.180548] the code is fine but needs lockdep annotation.
[  225.186034] turning off the locking correctness validator.
[  225.191532] CPU: 0 PID: 882 Comm: btrfs Not tainted 4.3.0-0.rc1.git4.1.fc24.armv7hl #1
[  225.199445] Hardware name: Allwinner A1X (Device Tree)
[  225.204625] [<c0219dd8>] (unwind_backtrace) from [<c02149a4>] (show_stack+0x18/0x1c)
[  225.212381] [<c02149a4>] (show_stack) from [<c05a5f58>] (dump_stack+0x80/0xb4)
[  225.219615] [<c05a5f58>] (dump_stack) from [<c02a0d00>] (__lock_acquire+0x720/0x195c)
[  225.227453] [<c02a0d00>] (__lock_acquire) from [<c02a2778>] (lock_acquire+0x164/0x200)
[  225.235983] [<c02a2778>] (lock_acquire) from [<bf22a02c>] (btrfs_ioctl+0xc18/0x2aa4 [btrfs])
[  225.244853] [<bf22a02c>] (btrfs_ioctl [btrfs]) from [<c03dba98>] (do_vfs_ioctl+0x668/0x748)
[  225.253219] [<c03dba98>] (do_vfs_ioctl) from [<c03dbbcc>] (SyS_ioctl+0x54/0x7c)
[  225.260543] [<c03dbbcc>] (SyS_ioctl) from [<c020fda0>] (ret_fast_syscall+0x0/0x1c)
[  240.059147] ------------[ cut here ]------------
[  240.063798] kernel BUG at mm/highmem.c:353!
[  240.067986] Internal error: Oops - BUG: 0 [#1] SMP ARM
[  240.073130] Modules linked in: ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw axp20x_regulator axp20x_pek sun4i_ts sunxi_wdt btrfs xor xor_neon raid6_pq sun4i_ss des_generic phy_sun4i_usb sun4i_emac spi_sun4i mdio_sun4i leds_gpio cpufreq_dt mmc_block i2c_mv64xxx rtc_sunxi ahci_sunxi libahci_platform sunxi_mmc ehci_platform ohci_platform mmc_core
[  240.132904] CPU: 0 PID: 204 Comm: kworker/u2:4 Not tainted 4.3.0-0.rc1.git4.1.fc24.armv7hl #1
[  240.141425] Hardware name: Allwinner A1X (Device Tree)
[  240.147179] Workqueue: btrfs-endio-raid56 btrfs_endio_raid56_helper [btrfs]
[  240.154166] task: ed11c380 ti: ee7ce000 task.ti: ee7ce000
[  240.159578] PC is at kunmap_high+0x74/0xb0
[  240.163691] LR is at _raw_spin_unlock_irqrestore+0x44/0x64
[  240.169182] pc : [<c038fe70>]    lr : [<c09c9c60>]    psr: 60000013
[  240.169182] sp : ee7cfdf8  ip : 00000000  fp : ee7cfe74
[  240.180653] r10: 00000004  r9 : ef7bef74  r8 : 00000003
[  240.185880] r7 : ee7cfe10  r6 : ef7bef98  r5 : 00000001  r4 : ef7bfcf4
[  240.192407] r3 : 00000000  r2 : 00000001  r1 : 00000001  r0 : c18134a0
[  240.198935] Flags: nZCv  IRQs on  FIQs on  Mode SVC_32  ISA ARM  Segment none
[  240.206070] Control: 10c5387d  Table: 6aa38019  DAC: 00000051
[  240.211817] Process kworker/u2:4 (pid: 204, stack limit = 0xee7ce220)
[  240.218257] Stack: (0xee7cfdf8 to 0xee7d0000)
[  240.222621] fde0:                                                       eaea0800 bf263660
[  240.230805] fe00: 8010000b ea655000 c0e96c70 ee001cc0 ea68c000 bfee8000 bfee9000 bfee6000
[  240.238988] fe20: bfee7000 ef5013d0 bfeea000 ef7bfcf4 ee7cfe20 ee7cfe1c ee7cfe08 ea654300
[  240.247170] fe40: 00000000 00000004 00000000 00000000 cfb1a620 ea9ad380 c056fb7c cfb1a62c
[  240.255353] fe60: cfb1a620 00000000 bf2860f4 00000000 c0fa5de8 c056fb6c ea9ad380 cfb1a62c
[  240.263536] fe80: cfb1a62c bf221714 cfb1a62c 00000000 00000000 ee71dc80 cfb1a62c ee087c00
[  240.271719] fea0: 00000000 ee7cfed0 ed2b9400 00000000 c0fa5de8 c0267a18 00000001 00000000
[  240.279901] fec0: c02678c8 ee087c00 00000000 ee087c00 bf289598 00000000 00000000 bf272ddb
[  240.288084] fee0: 00000088 ee71dc80 ee087c00 ee087c00 c0e95100 ee71dc98 ee087c30 00000000
[  240.296267] ff00: 00000088 c0268c48 ed11c380 ed201ac0 00000000 ee71dc80 c0268994 00000000
[  240.304449] ff20: 00000000 00000000 00000000 c026e330 60070093 00000000 ed11c380 ee71dc80
[  240.312632] ff40: 00000000 00000000 dead4ead ffffffff ffffffff c0fbc4a8 00000000 00000000
[  240.320815] ff60: c0c0b85e ee7cff64 ee7cff64 00000000 00000000 dead4ead ffffffff ffffffff
[  240.328997] ff80: c0fbc4a8 00000000 00000000 c0c0b85e ee7cff90 ee7cff90 ee7cffac ed201ac0
[  240.337179] ffa0: c026e244 00000000 00000000 c020fe30 00000000 00000000 00000000 00000000
[  240.345360] ffc0: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[  240.353541] ffe0: 00000000 00000000 00000000 00000000 00000013 00000000 00000000 00000000
[  240.362269] [<c038fe70>] (kunmap_high) from [<bf263660>] (finish_parity_scrub+0x2c4/0x470 [btrfs])
[  240.371717] [<bf263660>] (finish_parity_scrub [btrfs]) from [<c056fb6c>] (bio_endio+0xa4/0xb4)
[  240.380704] [<c056fb6c>] (bio_endio) from [<bf221714>] (btrfs_scrubparity_helper+0x1c8/0x60c [btrfs])
[  240.390301] [<bf221714>] (btrfs_scrubparity_helper [btrfs]) from [<c0267a18>] (process_one_work+0x320/0x67c)
[  240.400136] [<c0267a18>] (process_one_work) from [<c0268c48>] (worker_thread+0x2b4/0x400)
[  240.408325] [<c0268c48>] (worker_thread) from [<c026e330>] (kthread+0xec/0x104)
[  240.415648] [<c026e330>] (kthread) from [<c020fe30>] (ret_from_fork+0x14/0x24)
[  240.422878] Code: e5933020 e0534004 13a04001 ea000001 (e7f001f2) 
[  240.428983] ---[ end trace 8eef656bb67f43e5 ]---
[  240.433615] BUG: sleeping function called from invalid context at include/linux/sched.h:2756
[  240.442051] in_atomic(): 1, irqs_disabled(): 128, pid: 204, name: kworker/u2:4
[  240.449269] INFO: lockdep is turned off.
[  240.453193] irq event stamp: 2770
[  240.456509] hardirqs last  enabled at (2769): [<c09c9cac>] _raw_spin_unlock_irq+0x2c/0x4c
[  240.464710] hardirqs last disabled at (2770): [<c09c9ae0>] _raw_spin_lock_irq+0x20/0x68
[  240.472729] softirqs last  enabled at (1358): [<c0251668>] __do_softirq+0x34c/0x490
[  240.480409] softirqs last disabled at (1337): [<c0251ad8>] irq_exit+0x8c/0x118
[  240.487658] CPU: 0 PID: 204 Comm: kworker/u2:4 Tainted: G      D         4.3.0-0.rc1.git4.1.fc24.armv7hl #1
[  240.497390] Hardware name: Allwinner A1X (Device Tree)
[  240.502918] Workqueue: btrfs-endio-raid56 btrfs_endio_raid56_helper [btrfs]
[  240.509919] [<c0219dd8>] (unwind_backtrace) from [<c02149a4>] (show_stack+0x18/0x1c)
[  240.517673] [<c02149a4>] (show_stack) from [<c05a5f58>] (dump_stack+0x80/0xb4)
[  240.524908] [<c05a5f58>] (dump_stack) from [<c025d140>] (exit_signals+0x20/0x148)
[  240.532400] [<c025d140>] (exit_signals) from [<c024fbe4>] (do_exit+0x124/0xb18)
[  240.539716] [<c024fbe4>] (do_exit) from [<c0214ca0>] (die+0x2f8/0x454)
[  240.546250] [<c0214ca0>] (die) from [<c02090c0>] (do_undefinstr+0xb4/0x204)
[  240.553220] [<c02090c0>] (do_undefinstr) from [<c09ca7a4>] (__und_svc_finish+0x0/0x3c)
[  240.561135] Exception stack(0xee7cfd68 to 0xee7cfdb0)
[  240.566195] fd60:                   c18134a0 00000001 00000001 00000000 ef7bfcf4 00000001
[  240.574378] fd80: ef7bef98 ee7cfe10 00000003 ef7bef74 00000004 ee7cfe74 00000000 ee7cfdf8
[  240.582555] fda0: c09c9c60 c038fe70 60000013 ffffffff
[  240.587622] [<c09ca7a4>] (__und_svc_finish) from [<c038fe70>] (kunmap_high+0x74/0xb0)
[  240.595919] [<c038fe70>] (kunmap_high) from [<bf263660>] (finish_parity_scrub+0x2c4/0x470 [btrfs])
[  240.605333] [<bf263660>] (finish_parity_scrub [btrfs]) from [<c056fb6c>] (bio_endio+0xa4/0xb4)
[  240.614309] [<c056fb6c>] (bio_endio) from [<bf221714>] (btrfs_scrubparity_helper+0x1c8/0x60c [btrfs])
[  240.623897] [<bf221714>] (btrfs_scrubparity_helper [btrfs]) from [<c0267a18>] (process_one_work+0x320/0x67c)
[  240.633730] [<c0267a18>] (process_one_work) from [<c0268c48>] (worker_thread+0x2b4/0x400)
[  240.641916] [<c0268c48>] (worker_thread) from [<c026e330>] (kthread+0xec/0x104)
[  240.649235] [<c026e330>] (kthread) from [<c020fe30>] (ret_from_fork+0x14/0x24)
[  240.656464] note: kworker/u2:4[204] exited with preempt_count 1
[  240.663961] Unable to handle kernel paging request at virtual address ffffffd0
[  240.671199] pgd = c0204000
[  240.673912] [ffffffd0] *pgd=6f7fd861, *pte=00000000, *ppte=00000000
[  240.680240] Internal error: Oops: 37 [#2] SMP ARM
[  240.684951] Modules linked in: ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw axp20x_regulator axp20x_pek sun4i_ts sunxi_wdt btrfs xor xor_neon raid6_pq sun4i_ss des_generic phy_sun4i_usb sun4i_emac spi_sun4i mdio_sun4i leds_gpio cpufreq_dt mmc_block i2c_mv64xxx rtc_sunxi ahci_sunxi libahci_platform sunxi_mmc ehci_platform ohci_platform mmc_core
[  240.744689] CPU: 0 PID: 204 Comm: kworker/u2:4 Tainted: G      D         4.3.0-0.rc1.git4.1.fc24.armv7hl #1
[  240.754421] Hardware name: Allwinner A1X (Device Tree)
[  240.759577] task: ed11c380 ti: ee7ce000 task.ti: ee7ce000
[  240.764990] PC is at kthread_data+0xc/0x14
[  240.769093] LR is at wq_worker_sleeping+0x14/0xd4
[  240.773804] pc : [<c026ec8c>]    lr : [<c0269090>]    psr: 20000093
[  240.773804] sp : ee7cfbc0  ip : c0fbc518  fp : ee7cfc14
[  240.785274] r10: 00000000  r9 : eeede580  r8 : c0e96a0c
[  240.790501] r7 : c0e8f580  r6 : ed11c774  r5 : ed11c380  r4 : 00000000
[  240.797027] r3 : 00000000  r2 : eeede580  r1 : 00000000  r0 : ed11c380
[  240.803556] Flags: nzCv  IRQs off  FIQs on  Mode SVC_32  ISA ARM  Segment none
[  240.810778] Control: 10c5387d  Table: 6aa38019  DAC: 00000051
[  240.816526] Process kworker/u2:4 (pid: 204, stack limit = 0xee7ce220)
[  240.822966] Stack: (0xee7cfbc0 to 0xee7d0000)
[  240.827336] fbc0: eeede580 ed11c380 ed11c774 c09c427c 60000093 00000008 ee0a4000 60000013
[  240.835519] fbe0: ee7d63fc ee7d63fc c09c4b94 eeede590 ed11c6d0 ee7ce000 00001390 c0ec4c84
[  240.843702] fc00: ee7cfc38 ee7cfc38 ed11c6d0 00000000 ee7cfc24 c09c4b94 ed11c380 00001390
[  240.851885] fc20: c038fe70 c025051c 0000000b 00000001 00000001 00000000 ee7cfc38 ee7cfc38
[  240.860067] fc40: c0fb9f04 00000001 c038fe70 c0214ca0 ee7ce220 0000000b 00000000 00000008
[  240.868250] fc60: 60000093 c038fe70 65000001 33333935 20303230 33353065 34303034 61333120
[  240.876433] fc80: 30303430 61652031 30303030 28203130 30663765 32663130 c0002029 ee7cfd68
[  240.884616] fca0: c038fe70 e7f001f2 00000000 ee7cfd68 c038fe70 e7100000 c09ca7a4 ee7ce000
[  240.892799] fcc0: ee7cfe74 c02090c0 00000006 00000000 00000004 00000000 00030001 c038fe70
[  240.900982] fce0: c0fa1480 ef7bef98 0000a1dd c036a99c 00000141 c02a2778 00000001 00020052
[  240.909164] fd00: c0fa1d84 00000000 00000000 00000002 00000001 60000093 ee7cfe74 eeee16e4
[  240.917346] fd20: ffffffff 00000000 c1812d18 00000000 00000000 00000000 c038ff80 60000093
[  240.925528] fd40: ee7cfe74 c02a2778 00000001 00000080 00000000 c038fe74 00000000 c09cac18
[  240.933711] fd60: 00000000 c09ca7a4 c18134a0 00000001 00000001 00000000 ef7bfcf4 00000001
[  240.941893] fd80: ef7bef98 ee7cfe10 00000003 ef7bef74 00000004 ee7cfe74 00000000 ee7cfdf8
[  240.950076] fda0: c09c9c60 c038fe70 60000013 ffffffff 00000051 c1812d00 c1811100 c1812d08
[  240.958259] fdc0: ef7bef74 c09c9c48 60000013 c09c9c60 bfeea000 c1812cc0 c1812d00 c038fdb0
[  240.966442] fde0: ef7bfcf4 00000001 ef7bef98 ee7cfe10 00000003 c038fe1c eaea0800 bf263660
[  240.974625] fe00: 8010000b ea655000 c0e96c70 ee001cc0 ea68c000 bfee8000 bfee9000 bfee6000
[  240.982808] fe20: bfee7000 ef5013d0 bfeea000 ef7bfcf4 ee7cfe20 ee7cfe1c ee7cfe08 ea654300
[  240.990990] fe40: 00000000 00000004 00000000 00000000 cfb1a620 ea9ad380 c056fb7c cfb1a62c
[  240.999173] fe60: cfb1a620 00000000 bf2860f4 00000000 c0fa5de8 c056fb6c ea9ad380 cfb1a62c
[  241.007356] fe80: cfb1a62c bf221714 cfb1a62c 00000000 00000000 ee71dc80 cfb1a62c ee087c00
[  241.015538] fea0: 00000000 ee7cfed0 ed2b9400 00000000 c0fa5de8 c0267a18 00000001 00000000
[  241.023720] fec0: c02678c8 ee087c00 00000000 ee087c00 bf289598 00000000 00000000 bf272ddb
[  241.031904] fee0: 00000088 ee71dc80 ee087c00 ee087c00 c0e95100 ee71dc98 ee087c30 00000000
[  241.040086] ff00: 00000088 c0268c48 ed11c380 ed201ac0 00000000 ee71dc80 c0268994 00000000
[  241.048269] ff20: 00000000 00000000 00000000 c026e330 60070093 00000000 ed11c380 ee71dc80
[  241.056451] ff40: 00000000 00000000 dead4ead ffffffff ffffffff c0fbc4a8 00000000 00000000
[  241.064634] ff60: c0c0b85e ee7cff64 ee7cff64 00000001 00010001 dead4ead ffffffff ffffffff
[  241.072817] ff80: c0fbc4a8 00000000 00000000 c0c0b85e ee7cff90 ee7cff90 ee7cffac ed201ac0
[  241.080998] ffa0: c026e244 00000000 00000000 c020fe30 00000000 00000000 00000000 00000000
[  241.089179] ffc0: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[  241.097360] ffe0: 00000000 00000000 00000000 00000000 00000013 00000000 00000000 00000000
[  241.105551] [<c026ec8c>] (kthread_data) from [<c0269090>] (wq_worker_sleeping+0x14/0xd4)
[  241.113654] [<c0269090>] (wq_worker_sleeping) from [<c09c427c>] (__schedule+0x250/0xab4)
[  241.121753] [<c09c427c>] (__schedule) from [<c09c4b94>] (schedule+0xb4/0xd0)
[  241.128815] [<c09c4b94>] (schedule) from [<c025051c>] (do_exit+0xa5c/0xb18)
[  241.135784] [<c025051c>] (do_exit) from [<c0214ca0>] (die+0x2f8/0x454)
[  241.142320] [<c0214ca0>] (die) from [<c02090c0>] (do_undefinstr+0xb4/0x204)
[  241.149289] [<c02090c0>] (do_undefinstr) from [<c09ca7a4>] (__und_svc_finish+0x0/0x3c)
[  241.157204] Exception stack(0xee7cfd68 to 0xee7cfdb0)
[  241.162264] fd60:                   c18134a0 00000001 00000001 00000000 ef7bfcf4 00000001
[  241.170447] fd80: ef7bef98 ee7cfe10 00000003 ef7bef74 00000004 ee7cfe74 00000000 ee7cfdf8
[  241.178624] fda0: c09c9c60 c038fe70 60000013 ffffffff
[  241.183690] [<c09ca7a4>] (__und_svc_finish) from [<c038fe70>] (kunmap_high+0x74/0xb0)
[  241.192128] [<c038fe70>] (kunmap_high) from [<bf263660>] (finish_parity_scrub+0x2c4/0x470 [btrfs])
[  241.201583] [<bf263660>] (finish_parity_scrub [btrfs]) from [<c056fb6c>] (bio_endio+0xa4/0xb4)
[  241.210574] [<c056fb6c>] (bio_endio) from [<bf221714>] (btrfs_scrubparity_helper+0x1c8/0x60c [btrfs])
[  241.220170] [<bf221714>] (btrfs_scrubparity_helper [btrfs]) from [<c0267a18>] (process_one_work+0x320/0x67c)
[  241.230004] [<c0267a18>] (process_one_work) from [<c0268c48>] (worker_thread+0x2b4/0x400)
[  241.238191] [<c0268c48>] (worker_thread) from [<c026e330>] (kthread+0xec/0x104)
[  241.245513] [<c026e330>] (kthread) from [<c020fe30>] (ret_from_fork+0x14/0x24)
[  241.252743] Code: c09d4a14 e52de004 e8bd4000 e59033a8 (e5130030) 
[  241.258848] ---[ end trace 8eef656bb67f43e6 ]---
[  241.263473] Fixing recursive fault but reboot is needed!
[  254.697816] BUG: spinlock lockup suspected on CPU#0, kworker/u2:4/204
[  254.704263]  lock: 0xeeede580, .magic: dead4ead, .owner: kworker/u2:4/204, .owner_cpu: 0
[  254.712356] CPU: 0 PID: 204 Comm: kworker/u2:4 Tainted: G      D         4.3.0-0.rc1.git4.1.fc24.armv7hl #1
[  254.722088] Hardware name: Allwinner A1X (Device Tree)
[  254.727262] [<c0219dd8>] (unwind_backtrace) from [<c02149a4>] (show_stack+0x18/0x1c)
[  254.735017] [<c02149a4>] (show_stack) from [<c05a5f58>] (dump_stack+0x80/0xb4)
[  254.742254] [<c05a5f58>] (dump_stack) from [<c02a5d84>] (do_raw_spin_lock+0x13c/0x198)
[  254.750183] [<c02a5d84>] (do_raw_spin_lock) from [<c09c41dc>] (__schedule+0x1b0/0xab4)
[  254.758108] [<c09c41dc>] (__schedule) from [<c09c4b94>] (schedule+0xb4/0xd0)
[  254.765168] [<c09c4b94>] (schedule) from [<c024fbdc>] (do_exit+0x11c/0xb18)
[  254.772137] [<c024fbdc>] (do_exit) from [<c0214ca0>] (die+0x2f8/0x454)
[  254.778675] [<c0214ca0>] (die) from [<c0225998>] (__do_kernel_fault.part.0+0x5c/0x1ec)
[  254.786602] [<c0225998>] (__do_kernel_fault.part.0) from [<c09cb16c>] (do_page_fault+0x344/0x3c8)
[  254.795478] [<c09cb16c>] (do_page_fault) from [<c0209308>] (do_DataAbort+0x3c/0xbc)
[  254.803145] [<c0209308>] (do_DataAbort) from [<c09ca664>] (__dabt_svc+0x44/0x80)
[  254.810538] Exception stack(0xee7cfb70 to 0xee7cfbb8)
[  254.815597] fb60:                                     ed11c380 00000000 eeede580 00000000
[  254.823779] fb80: 00000000 ed11c380 ed11c774 c0e8f580 c0e96a0c eeede580 00000000 ee7cfc14
[  254.831960] fba0: c0fbc518 ee7cfbc0 c0269090 c026ec8c 20000093 ffffffff
[  254.838586] [<c09ca664>] (__dabt_svc) from [<c026ec8c>] (kthread_data+0xc/0x14)
[  254.845904] [<c026ec8c>] (kthread_data) from [<c0269090>] (wq_worker_sleeping+0x14/0xd4)
[  254.854001] [<c0269090>] (wq_worker_sleeping) from [<c09c427c>] (__schedule+0x250/0xab4)
[  254.862098] [<c09c427c>] (__schedule) from [<c09c4b94>] (schedule+0xb4/0xd0)
[  254.869155] [<c09c4b94>] (schedule) from [<c025051c>] (do_exit+0xa5c/0xb18)
[  254.876123] [<c025051c>] (do_exit) from [<c0214ca0>] (die+0x2f8/0x454)
[  254.882657] [<c0214ca0>] (die) from [<c02090c0>] (do_undefinstr+0xb4/0x204)
[  254.889625] [<c02090c0>] (do_undefinstr) from [<c09ca7a4>] (__und_svc_finish+0x0/0x3c)
[  254.897539] Exception stack(0xee7cfd68 to 0xee7cfdb0)
[  254.902599] fd60:                   c18134a0 00000001 00000001 00000000 ef7bfcf4 00000001
[  254.910782] fd80: ef7bef98 ee7cfe10 00000003 ef7bef74 00000004 ee7cfe74 00000000 ee7cfdf8
[  254.918960] fda0: c09c9c60 c038fe70 60000013 ffffffff
[  254.924024] [<c09ca7a4>] (__und_svc_finish) from [<c038fe70>] (kunmap_high+0x74/0xb0)
[  254.932338] [<c038fe70>] (kunmap_high) from [<bf263660>] (finish_parity_scrub+0x2c4/0x470 [btrfs])
[  254.941760] [<bf263660>] (finish_parity_scrub [btrfs]) from [<c056fb6c>] (bio_endio+0xa4/0xb4)
[  254.950739] [<c056fb6c>] (bio_endio) from [<bf221714>] (btrfs_scrubparity_helper+0x1c8/0x60c [btrfs])
[  254.960325] [<bf221714>] (btrfs_scrubparity_helper [btrfs]) from [<c0267a18>] (process_one_work+0x320/0x67c)
[  254.970158] [<c0267a18>] (process_one_work) from [<c0268c48>] (worker_thread+0x2b4/0x400)
[  254.978345] [<c0268c48>] (worker_thread) from [<c026e330>] (kthread+0xec/0x104)
[  254.985666] [<c026e330>] (kthread) from [<c020fe30>] (ret_from_fork+0x14/0x24)
[  254.992889] Sending NMI to all CPUs:
[  254.996498] Unable to handle kernel NULL pointer dereference at virtual address 00000000
[  255.004584] pgd = c0204000
[  255.007296] [00000000] *pgd=00000000
[  255.010900] Internal error: Oops: 80000007 [#3] SMP ARM
[  255.016130] Modules linked in: ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw axp20x_regulator axp20x_pek sun4i_ts sunxi_wdt btrfs xor xor_neon raid6_pq sun4i_ss des_generic phy_sun4i_usb sun4i_emac spi_sun4i mdio_sun4i leds_gpio cpufreq_dt mmc_block i2c_mv64xxx rtc_sunxi ahci_sunxi libahci_platform sunxi_mmc ehci_platform ohci_platform mmc_core
[  255.075867] CPU: 0 PID: 204 Comm: kworker/u2:4 Tainted: G      D         4.3.0-0.rc1.git4.1.fc24.armv7hl #1
[  255.085599] Hardware name: Allwinner A1X (Device Tree)
[  255.090752] task: ed11c380 ti: ee7ce000 task.ti: ee7ce000
[  255.096152] PC is at 0x0
[  255.098701] LR is at nmi_trigger_all_cpu_backtrace+0x17c/0x314
[  255.104538] pc : [<00000000>]    lr : [<c05aa38c>]    psr: 60000193
[  255.104538] sp : ee7cf948  ip : 00000007  fp : ee7cf9cc
[  255.116007] r10: 00000000  r9 : c0e8c930  r8 : 00000001
[  255.121234] r7 : c021725c  r6 : 00000001  r5 : 00000001  r4 : c0e95efc
[  255.127761] r3 : 00000000  r2 : 00000007  r1 : 0000000f  r0 : c0e96c48
[  255.134288] Flags: nZCv  IRQs off  FIQs on  Mode SVC_32  ISA ARM  Segment none
[  255.141509] Control: 10c5387d  Table: 6aa38019  DAC: 00000051
[  255.147256] Process kworker/u2:4 (pid: 204, stack limit = 0xee7ce220)
[  255.153695] Stack: (0xee7cf948 to 0xee7d0000)
[  255.158062] f940:                   eeede580 c0f2a768 127fb630 00000000 127fb630 00000000
[  255.166245] f960: 00000000 c02a5d8c eeede580 ed11c380 ed11c774 c0e8f580 c0e96a0c eeede580
[  255.174428] f980: 00000000 c09c41dc c02b4624 c02b3e84 0000000b c0fb9f04 00000001 00000000
[  255.182611] f9a0: c09c4b94 ee7cfa52 c026ec8c ee7ce000 0000000b c0fb9f04 00000001 00000000
[  255.190793] f9c0: c026ec8e ee7cfa52 ee7cf9dc c09c4b94 ed11c380 0000000b c026ec8c c024fbdc
[  255.198975] f9e0: 0000000b 00000001 00000004 00000000 ee7cfb70 0000000b c0fb9f04 00000001
[  255.207158] fa00: c026ec8c c0214ca0 ee7ce220 0000000b bf000000 00000008 60000193 c026ec8c
[  255.215341] fa20: 63000000 34643930 20343161 64323565 34303065 62386520 30303464 35652030
[  255.223524] fa40: 33333039 28203861 33313565 30333030 c0002029 ee7cfa74 00000004 ffffffd0
[  255.231707] fa60: ee7cfb70 00000037 00000000 ed11c380 00000000 00000037 ee7cfc14 c0225998
[  255.239889] fa80: ee7cfb70 c09cb16c 00000001 00000080 00000000 c03b1ff8 00000000 00000080
[  255.248071] faa0: 00000000 00000001 ee7b0558 00000037 ffffffd0 c0e9c74c ee7cfb70 c0e96a0c
[  255.256254] fac0: eeede580 00000000 ee7cfc14 c0209308 00000001 00000001 eeede5e0 eeede580
[  255.264436] fae0: 00000000 c0288678 801a0017 ee7b1000 00000000 00000000 08aa7a07 00000038
[  255.272619] fb00: c0440d90 ee178000 ee7b0558 ef5944c0 c059e494 00000001 c18a5234 eeede5e0
[  255.280802] fb20: ed11c3c8 00000001 00000001 c028883c eeede5e0 ed11c3c8 00000001 c028883c
[  255.288983] fb40: 00000001 00000080 00000000 00000000 eeede590 00000000 00000000 c026ec8c
[  255.297166] fb60: 20000093 ffffffff ee7cfba4 c09ca664 ed11c380 00000000 eeede580 00000000
[  255.305349] fb80: 00000000 ed11c380 ed11c774 c0e8f580 c0e96a0c eeede580 00000000 ee7cfc14
[  255.313532] fba0: c0fbc518 ee7cfbc0 c0269090 c026ec8c 20000093 ffffffff 00000051 c0269090
[  255.321715] fbc0: eeede580 ed11c380 ed11c774 c09c427c 60000093 00000008 ee0a4000 60000013
[  255.329898] fbe0: ee7d63fc ee7d63fc c09c4b94 eeede590 ed11c6d0 ee7ce000 00001390 c0ec4c84
[  255.338081] fc00: ee7cfc38 ee7cfc38 ed11c6d0 00000000 ee7cfc24 c09c4b94 ed11c380 00001390
[  255.346264] fc20: c038fe70 c025051c 0000000b 00000001 00000001 00000000 ee7cfc38 ee7cfc38
[  255.354446] fc40: c0fb9f04 00000001 c038fe70 c0214ca0 ee7ce220 0000000b 00000000 00000008
[  255.362630] fc60: 60000093 c038fe70 65000001 33333935 20303230 33353065 34303034 61333120
[  255.370813] fc80: 30303430 61652031 30303030 28203130 30663765 32663130 c0002029 ee7cfd68
[  255.378995] fca0: c038fe70 e7f001f2 00000000 ee7cfd68 c038fe70 e7100000 c09ca7a4 ee7ce000
[  255.387178] fcc0: ee7cfe74 c02090c0 00000006 00000000 00000004 00000000 00030001 c038fe70
[  255.395361] fce0: c0fa1480 ef7bef98 0000a1dd c036a99c 00000141 c02a2778 00000001 00020052
[  255.403543] fd00: c0fa1d84 00000000 00000000 00000002 00000001 60000093 ee7cfe74 eeee16e4
[  255.411725] fd20: ffffffff 00000000 c1812d18 00000000 00000000 00000000 c038ff80 60000093
[  255.419907] fd40: ee7cfe74 c02a2778 00000001 00000080 00000000 c038fe74 00000000 c09cac18
[  255.428089] fd60: 00000000 c09ca7a4 c18134a0 00000001 00000001 00000000 ef7bfcf4 00000001
[  255.436272] fd80: ef7bef98 ee7cfe10 00000003 ef7bef74 00000004 ee7cfe74 00000000 ee7cfdf8
[  255.444455] fda0: c09c9c60 c038fe70 60000013 ffffffff 00000051 c1812d00 c1811100 c1812d08
[  255.452638] fdc0: ef7bef74 c09c9c48 60000013 c09c9c60 bfeea000 c1812cc0 c1812d00 c038fdb0
[  255.460821] fde0: ef7bfcf4 00000001 ef7bef98 ee7cfe10 00000003 c038fe1c eaea0800 bf263660
[  255.469004] fe00: 8010000b ea655000 c0e96c70 ee001cc0 ea68c000 bfee8000 bfee9000 bfee6000
[  255.477187] fe20: bfee7000 ef5013d0 bfeea000 ef7bfcf4 ee7cfe20 ee7cfe1c ee7cfe08 ea654300
[  255.485369] fe40: 00000000 00000004 00000000 00000000 cfb1a620 ea9ad380 c056fb7c cfb1a62c
[  255.493552] fe60: cfb1a620 00000000 bf2860f4 00000000 c0fa5de8 c056fb6c ea9ad380 cfb1a62c
[  255.501735] fe80: cfb1a62c bf221714 cfb1a62c 00000000 00000000 ee71dc80 cfb1a62c ee087c00
[  255.509917] fea0: 00000000 ee7cfed0 ed2b9400 00000000 c0fa5de8 c0267a18 00000001 00000000
[  255.518099] fec0: c02678c8 ee087c00 00000000 ee087c00 bf289598 00000000 00000000 bf272ddb
[  255.526283] fee0: 00000088 ee71dc80 ee087c00 ee087c00 c0e95100 ee71dc98 ee087c30 00000000
[  255.534465] ff00: 00000088 c0268c48 ed11c380 ed201ac0 00000000 ee71dc80 c0268994 00000000
[  255.542648] ff20: 00000000 00000000 00000000 c026e330 60070093 00000000 ed11c380 ee71dc80
[  255.550830] ff40: 00000000 00000000 dead4ead ffffffff ffffffff c0fbc4a8 00000000 00000000
[  255.559014] ff60: c0c0b85e ee7cff64 ee7cff64 00000001 00010001 dead4ead ffffffff ffffffff
[  255.567196] ff80: c0fbc4a8 00000000 00000000 c0c0b85e ee7cff90 ee7cff90 ee7cffac ed201ac0
[  255.575378] ffa0: c026e244 00000000 00000000 c020fe30 00000000 00000000 00000000 00000000
[  255.583559] ffc0: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[  255.591731] ffe0: 00000000 00000000 00000000 00000000 00000013 00000000 00000000 00000000
[  255.599924] [<c05aa38c>] (nmi_trigger_all_cpu_backtrace) from [<c02a5d8c>] (do_raw_spin_lock+0x144/0x198)
[  255.609498] [<c02a5d8c>] (do_raw_spin_lock) from [<c09c41dc>] (__schedule+0x1b0/0xab4)
[  255.617423] [<c09c41dc>] (__schedule) from [<c09c4b94>] (schedule+0xb4/0xd0)
[  255.624482] [<c09c4b94>] (schedule) from [<c024fbdc>] (do_exit+0x11c/0xb18)
[  255.631451] [<c024fbdc>] (do_exit) from [<c0214ca0>] (die+0x2f8/0x454)
[  255.637989] [<c0214ca0>] (die) from [<c0225998>] (__do_kernel_fault.part.0+0x5c/0x1ec)
[  255.645914] [<c0225998>] (__do_kernel_fault.part.0) from [<c09cb16c>] (do_page_fault+0x344/0x3c8)
[  255.654790] [<c09cb16c>] (do_page_fault) from [<c0209308>] (do_DataAbort+0x3c/0xbc)
[  255.662454] [<c0209308>] (do_DataAbort) from [<c09ca664>] (__dabt_svc+0x44/0x80)
[  255.669848] Exception stack(0xee7cfb70 to 0xee7cfbb8)
[  255.674906] fb60:                                     ed11c380 00000000 eeede580 00000000
[  255.683089] fb80: 00000000 ed11c380 ed11c774 c0e8f580 c0e96a0c eeede580 00000000 ee7cfc14
[  255.691269] fba0: c0fbc518 ee7cfbc0 c0269090 c026ec8c 20000093 ffffffff
[  255.697897] [<c09ca664>] (__dabt_svc) from [<c026ec8c>] (kthread_data+0xc/0x14)
[  255.705215] [<c026ec8c>] (kthread_data) from [<c0269090>] (wq_worker_sleeping+0x14/0xd4)
[  255.713312] [<c0269090>] (wq_worker_sleeping) from [<c09c427c>] (__schedule+0x250/0xab4)
[  255.721408] [<c09c427c>] (__schedule) from [<c09c4b94>] (schedule+0xb4/0xd0)
[  255.728465] [<c09c4b94>] (schedule) from [<c025051c>] (do_exit+0xa5c/0xb18)
[  255.735434] [<c025051c>] (do_exit) from [<c0214ca0>] (die+0x2f8/0x454)
[  255.741968] [<c0214ca0>] (die) from [<c02090c0>] (do_undefinstr+0xb4/0x204)
[  255.748936] [<c02090c0>] (do_undefinstr) from [<c09ca7a4>] (__und_svc_finish+0x0/0x3c)
[  255.756850] Exception stack(0xee7cfd68 to 0xee7cfdb0)
[  255.761909] fd60:                   c18134a0 00000001 00000001 00000000 ef7bfcf4 00000001
[  255.770091] fd80: ef7bef98 ee7cfe10 00000003 ef7bef74 00000004 ee7cfe74 00000000 ee7cfdf8
[  255.778269] fda0: c09c9c60 c038fe70 60000013 ffffffff
[  255.783332] [<c09ca7a4>] (__und_svc_finish) from [<c038fe70>] (kunmap_high+0x74/0xb0)
[  255.791656] [<c038fe70>] (kunmap_high) from [<bf263660>] (finish_parity_scrub+0x2c4/0x470 [btrfs])
[  255.801079] [<bf263660>] (finish_parity_scrub [btrfs]) from [<c056fb6c>] (bio_endio+0xa4/0xb4)
[  255.810058] [<c056fb6c>] (bio_endio) from [<bf221714>] (btrfs_scrubparity_helper+0x1c8/0x60c [btrfs])
[  255.819646] [<bf221714>] (btrfs_scrubparity_helper [btrfs]) from [<c0267a18>] (process_one_work+0x320/0x67c)
[  255.829479] [<c0267a18>] (process_one_work) from [<c0268c48>] (worker_thread+0x2b4/0x400)
[  255.837666] [<c0268c48>] (worker_thread) from [<c026e330>] (kthread+0xec/0x104)
[  255.844987] [<c026e330>] (kthread) from [<c020fe30>] (ret_from_fork+0x14/0x24)
[  255.852212] Code: bad PC value
[  255.855280] ---[ end trace 8eef656bb67f43e7 ]---
[  255.859902] Fixing recursive fault but reboot is needed!
Comment 4 Lukas Koranda 2015-09-22 03:21:58 EDT
kernel 4.3.0rc2

[   84.761511] ------------[ cut here ]------------
[   84.766159] kernel BUG at mm/highmem.c:343!
[   84.770343] Internal error: Oops - BUG: 0 [#1] SMP ARM
[   84.775480] Modules linked in: ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw axp20x_pek sun4i_ts sunxi_wdt btrfs xor xor_neon raid6_pq sun4i_ss des_generic phy_sun4i_usb sun4i_emac mdio_sun4i spi_sun4i leds_gpio cpufreq_dt axp20x_regulator mmc_block i2c_mv64xxx rtc_sunxi ahci_sunxi libahci_platform ehci_platform ohci_platform sunxi_mmc mmc_core
[   84.835105] CPU: 0 PID: 205 Comm: kworker/u2:5 Not tainted 4.3.0-0.rc2.git0.1.fc24.armv7hl #1
[   84.843621] Hardware name: Allwinner A1X (Device Tree)
[   84.849442] Workqueue: btrfs-endio-raid56 btrfs_endio_raid56_helper [btrfs]
[   84.856421] task: ee6cce00 ti: ee72e000 task.ti: ee72e000
[   84.861831] PC is at kunmap_high+0x28/0xc4
[   84.865931] LR is at page_address+0xa8/0xf4
[   84.870119] pc : [<c0355fdc>]    lr : [<c0355f68>]    psr: 60070013
[   84.870119] sp : ee72fe58  ip : 00000000  fp : ee72fed4
[   84.881585] r10: 00000004  r9 : ef7b6364  r8 : 00000003
[   84.886809] r7 : ee72fe70  r6 : ef7b6388  r5 : 00000004  r4 : ef7c1fb0
[   84.893332] r3 : 0000003a  r2 : c0f3ae80  r1 : 60070013  r0 : 00000000
[   84.899857] Flags: nZCv  IRQs on  FIQs on  Mode SVC_32  ISA ARM  Segment none
[   84.906989] Control: 10c5387d  Table: 6b32c019  DAC: 00000051
[   84.912733] Process kworker/u2:5 (pid: 205, stack limit = 0xee72e220)
[   84.919170] Stack: (0xee72fe58 to 0xee730000)
[   84.923529] fe40:                                                       ee4b1400 bf17ef80
[   84.931708] fe60: 8010000d eeeec628 00000001 eeeec628 eb3d5000 bfedb000 bfedc000 bfedd000
[   84.939887] fe80: bfede000 bf17fed4 bfedf000 ef7a9e60 ee72fe80 ee72fe7c ee72fe68 eb37a000
[   84.948065] fea0: 00000000 00000004 00000000 00000000 edfc2980 ee57d580 c04fcae4 edfc298c
[   84.956244] fec0: edfc2980 00000000 edfc2990 00000000 00000088 c04fcad4 ee57d580 ee0bac00
[   84.964423] fee0: edfc298c bf1407fc bf1409e8 ee29bb80 ee0bac00 edfc298c 00000000 ee521100
[   84.972601] ff00: edfc2990 00000000 00000088 c025ff40 ee29bb80 edfc298c 00000080 ee29bb80
[   84.980780] ff20: ee0bac00 ee0bac00 c0d81100 ee29bb98 ee0bac14 00000000 00000088 c0260cc4
[   84.988958] ff40: ee6cce00 ee646a40 00000000 ee29bb80 c02609e8 00000000 00000000 00000000
[   84.997136] ff60: 00000000 c0265638 00000000 00000000 00000000 ee29bb80 00000000 00000000
[   85.005315] ff80: ee72ff80 ee72ff80 00000000 00000000 ee72ff90 ee72ff90 ee72ffac ee646a40
[   85.013492] ffa0: c0265558 00000000 00000000 c020fbb8 00000000 00000000 00000000 00000000
[   85.021670] ffc0: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[   85.029847] ffe0: 00000000 00000000 00000000 00000000 00000013 00000000 00000000 00000000
[   85.038617] [<c0355fdc>] (kunmap_high) from [<bf17ef80>] (finish_parity_scrub+0x2c4/0x470 [btrfs])
[   85.048114] [<bf17ef80>] (finish_parity_scrub [btrfs]) from [<c04fcad4>] (bio_endio+0xa4/0xb4)
[   85.057135] [<c04fcad4>] (bio_endio) from [<bf1407fc>] (btrfs_scrubparity_helper+0x12c/0x294 [btrfs])
[   85.066756] [<bf1407fc>] (btrfs_scrubparity_helper [btrfs]) from [<c025ff40>] (process_one_work+0x210/0x3a4)
[   85.076587] [<c025ff40>] (process_one_work) from [<c0260cc4>] (worker_thread+0x2dc/0x42c)
[   85.084773] [<c0260cc4>] (worker_thread) from [<c0265638>] (kthread+0xe0/0xf4)
[   85.092008] [<c0265638>] (kthread) from [<c020fbb8>] (ret_from_fork+0x14/0x3c)
[   85.099234] Code: e1a00004 ebffffba e3500000 1a000000 (e7f001f2) 
[   85.105332] ---[ end trace 02445d7e2df52391 ]---
[   85.153702] Unable to handle kernel paging request at virtual address ffffffec
[   85.160932] pgd = c0204000
[   85.163639] [ffffffec] *pgd=6f7fd861, *pte=00000000, *ppte=00000000
[   85.169946] Internal error: Oops: 37 [#2] SMP ARM
[   85.174646] Modules linked in: ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw axp20x_pek sun4i_ts sunxi_wdt btrfs xor xor_neon raid6_pq sun4i_ss des_generic phy_sun4i_usb sun4i_emac mdio_sun4i spi_sun4i leds_gpio cpufreq_dt axp20x_regulator mmc_block i2c_mv64xxx rtc_sunxi ahci_sunxi libahci_platform ehci_platform ohci_platform sunxi_mmc mmc_core
[   85.234142] CPU: 0 PID: 205 Comm: kworker/u2:5 Tainted: G      D         4.3.0-0.rc2.git0.1.fc24.armv7hl #1
[   85.243867] Hardware name: Allwinner A1X (Device Tree)
[   85.249011] task: ee6cce00 ti: ee72e000 task.ti: ee72e000
[   85.254418] PC is at kthread_data+0xc/0x14
[   85.258512] LR is at wq_worker_sleeping+0x14/0xd4
[   85.263213] pc : [<c0265b3c>]    lr : [<c0261060>]    psr: 20010093
[   85.263213] sp : ee72fc20  ip : c0e920d0  fp : ee72fc74
[   85.274674] r10: 00000000  r9 : ee6cd1d8  r8 : eeeec140
[   85.279892] r7 : c0d7d140  r6 : c0d7d140  r5 : eeeec140  r4 : 00000000
[   85.286412] r3 : 00000000  r2 : eeeec140  r1 : 00000000  r0 : ee6cce00
[   85.292933] Flags: nzCv  IRQs off  FIQs on  Mode SVC_32  ISA ARM  Segment none
[   85.300145] Control: 10c5387d  Table: 6b32c019  DAC: 00000051
[   85.305883] Process kworker/u2:5 (pid: 205, stack limit = 0xee72e220)
[   85.312315] Stack: (0xee72fc20 to 0xee730000)
[   85.316675] fc20: ee6cce00 eeeec140 c0d7d140 c08edc6c 00000008 ee021a00 cf808030 a0010093
[   85.324846] fc40: 00000008 c0d8287c c08ee260 2e16f000 00000000 ee72e000 ee72f92c ee72f92c
[   85.333017] fc60: ee72fc98 ee72fc98 ee6cd150 00000000 ee72fc84 c08ee260 ee6cce00 ee72f92c
[   85.341188] fc80: c0355fdc c024cfb8 0000000b 00000007 00000000 00000000 ee72fc98 ee72fc98
[   85.349359] fca0: c0e8fdc8 00000001 c0355fdc c0214250 ee72e220 0000000b ee6cc148 00000000
[   85.357531] fcc0: 00000008 60070093 65d7d140 30306131 20343030 66666265 61626666 35336520
[   85.365702] fce0: 30303030 61312030 30303030 28203030 30663765 32663130 ee002029 ee6cce48
[   85.373873] fd00: ee6cc148 e7f001f2 ee72fdc8 c0355fdc 00000000 e7100000 c08f1d60 ee72e000
[   85.382044] fd20: ee72fed4 c02090b4 00000006 ee6cc100 00000004 00000000 00030001 c0355fdc
[   85.390216] fd40: c0e78180 ef7b6388 00009c75 c0336294 00000141 bf12ce80 00020052 c0e78a04
[   85.398387] fd60: 00000000 ea20bdd8 00000001 ee72fdf0 00000000 eeeef0cc 60070013 ffffffff
[   85.406558] fd80: 00000000 00000000 c0e78a00 c0376300 00000000 00020052 ee72e000 edfc298c
[   85.414729] fda0: 00000000 00000003 ef7b6364 00000000 ee72fed4 c0355fe0 00000000 c08f2198
[   85.422900] fdc0: 00000000 c08f1d60 00000000 60070013 c0f3ae80 0000003a ef7c1fb0 00000004
[   85.431071] fde0: ef7b6388 ee72fe70 00000003 ef7b6364 00000004 ee72fed4 00000000 ee72fe58
[   85.439242] fe00: c0355f68 c0355fdc 60070013 ffffffff 00000051 c0f3c5f4 c02231a8 c0f3e270
[   85.447413] fe20: 00000003 c0356410 c0e78180 00000002 00000000 00000002 00000005 c0355f68
[   85.455584] fe40: ef7c1fb0 00000004 ef7b6388 ee72fe70 00000003 c0355fd4 ee4b1400 bf17ef80
[   85.463755] fe60: 8010000d eeeec628 00000001 eeeec628 eb3d5000 bfedb000 bfedc000 bfedd000
[   85.471927] fe80: bfede000 bf17fed4 bfedf000 ef7a9e60 ee72fe80 ee72fe7c ee72fe68 eb37a000
[   85.480098] fea0: 00000000 00000004 00000000 00000000 edfc2980 ee57d580 c04fcae4 edfc298c
[   85.488269] fec0: edfc2980 00000000 edfc2990 00000000 00000088 c04fcad4 ee57d580 ee0bac00
[   85.496440] fee0: edfc298c bf1407fc bf1409e8 ee29bb80 ee0bac00 edfc298c 00000000 ee521100
[   85.504612] ff00: edfc2990 00000000 00000088 c025ff40 ee29bb80 edfc298c 00000080 ee29bb80
[   85.512783] ff20: ee0bac00 ee0bac00 c0d81100 ee29bb98 ee0bac14 00000000 00000088 c0260cc4
[   85.520954] ff40: ee6cce00 ee646a40 00000000 ee29bb80 c02609e8 00000000 00000000 00000000
[   85.529124] ff60: 00000000 c0265638 00000000 00000000 00000000 ee29bb80 00000000 00000000
[   85.537296] ff80: ee72ff80 ee72ff80 00000001 00010001 ee72ff90 ee72ff90 ee72ffac ee646a40
[   85.545466] ffa0: c0265558 00000000 00000000 c020fbb8 00000000 00000000 00000000 00000000
[   85.553636] ffc0: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[   85.561806] ffe0: 00000000 00000000 00000000 00000000 00000013 00000000 00000000 00000000
[   85.569988] [<c0265b3c>] (kthread_data) from [<c0261060>] (wq_worker_sleeping+0x14/0xd4)
[   85.578078] [<c0261060>] (wq_worker_sleeping) from [<c08edc6c>] (__schedule+0x174/0x6c0)
[   85.586164] [<c08edc6c>] (__schedule) from [<c08ee260>] (schedule+0xa8/0xb8)
[   85.593213] [<c08ee260>] (schedule) from [<c024cfb8>] (do_exit+0x8f8/0x944)
[   85.600174] [<c024cfb8>] (do_exit) from [<c0214250>] (die+0x2fc/0x430)
[   85.606701] [<c0214250>] (die) from [<c02090b4>] (do_undefinstr+0xa8/0x1b4)
[   85.613663] [<c02090b4>] (do_undefinstr) from [<c08f1d60>] (__und_svc_finish+0x0/0x20)
[   85.621569] Exception stack(0xee72fdc8 to 0xee72fe10)
[   85.626619] fdc0:                   00000000 60070013 c0f3ae80 0000003a ef7c1fb0 00000004
[   85.634790] fde0: ef7b6388 ee72fe70 00000003 ef7b6364 00000004 ee72fed4 00000000 ee72fe58
[   85.642957] fe00: c0355f68 c0355fdc 60070013 ffffffff
[   85.648016] [<c08f1d60>] (__und_svc_finish) from [<c0355fdc>] (kunmap_high+0x28/0xc4)
[   85.656432] [<c0355fdc>] (kunmap_high) from [<bf17ef80>] (finish_parity_scrub+0x2c4/0x470 [btrfs])
[   85.665816] [<bf17ef80>] (finish_parity_scrub [btrfs]) from [<c04fcad4>] (bio_endio+0xa4/0xb4)
[   85.674726] [<c04fcad4>] (bio_endio) from [<bf1407fc>] (btrfs_scrubparity_helper+0x12c/0x294 [btrfs])
[   85.684216] [<bf1407fc>] (btrfs_scrubparity_helper [btrfs]) from [<c025ff40>] (process_one_work+0x210/0x3a4)
[   85.694038] [<c025ff40>] (process_one_work) from [<c0260cc4>] (worker_thread+0x2dc/0x42c)
[   85.702212] [<c0260cc4>] (worker_thread) from [<c0265638>] (kthread+0xe0/0xf4)
[   85.709435] [<c0265638>] (kthread) from [<c020fbb8>] (ret_from_fork+0x14/0x3c)
[   85.716655] Code: c08fba0c e52de004 e8bd4000 e59033a8 (e5130014) 
[   85.722746] ---[ end trace 02445d7e2df52392 ]---
[   85.727359] Fixing recursive fault but reboot is needed!
Comment 5 Justin M. Forbes 2015-10-20 15:37:55 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 6 Fedora Kernel Team 2015-11-23 12:22:07 EST
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.